// e01_showimage.cpp: Load image from disk and show in window
//
#include "opencv\cv.hpp"
#include <iostream>

using namespace cv;
using namespace std;

int main(int argc, char* argv[])
{
	// Objects
	Mat img;

	// Load image from disk
	img = imread("mandril.jpg");
	if (!img.data){
		cout << "error loading image" << endl;
		return 1;
	}

	// Create window canvas to show image
	namedWindow("original", CV_WINDOW_AUTOSIZE);
	
	// Show image in the name of the window
	imshow("original", img);
	
	// Function for show the image in ms.
	// 0 means wait until keyboard is pressed
	waitKey(0);

	// Free memory
	destroyWindow("original");
	// End of the program
	return 0;
}

